## GdauiRawForm

GdauiRawForm — Form widget to manipulate data in a GdaDataModel

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_raw_form_new ()

## Types and Values

struct | GdauiRawForm

## Description

The GdauiForm widget which uses the GdauiRawForm and adds decorations such as information about data model size, and features searching.

## Functions

### gdaui_raw_form_new ()

    GtkWidget *
    gdaui_raw_form_new (GdaDataModel *model);

Creates a new GdauiRawForm widget to display data in `model`

#### Parameters

model | a GdaDataModel, or `NULL`. | [allow-none]

#### Returns

the new widget.

[transfer full]

Since: 4.2

## Types and Values

### struct GdauiRawForm

    struct GdauiRawForm {
    	GdauiBasicForm      object;

    	GdauiRawFormPriv   *priv;
    };

## See Also

the GdauiForm widget which uses the GdauiRawForm and adds decorations such as information about data model size, and features searching.